com.salesforce.datacloud.jdbc.auth

## Class DataCloudToken

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.DataCloudToken

    public class DataCloudToken
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAccessToken()`
`String` `getTenantId()`
`String` `getTenantUrl()`
`boolean` `isAlive()`
`static DataCloudToken` `of(DataCloudTokenResponse model)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static DataCloudToken of(DataCloudTokenResponse model)
                             throws SQLException

Throws:
  `SQLException`

#### isAlive

    public boolean isAlive()

#### getTenantUrl

    public String getTenantUrl()

#### getTenantId

    public String getTenantId()
                       throws SQLException

Throws:
  `SQLException`

#### getAccessToken

    public String getAccessToken()